Send a regular email with a saved search (like Bugzilla's "whining" for saved searches)
Closed, DeclinedPublic

Description

Related upstream ticket: https://secure.phabricator.com/T6491

It would be very helpful if we could have whining / whine / whines / editwhines.cgi / whine.pl back.

I especially like to have regular emails containing a list of all tasks modified on a project in the last 24 hours, like the Bugzilla '<product>-1d' bug lists. I used to receive it twice a day, and read it first when I start 'work' to catch up on what has happened while I was snoring, and adjust my priorities accordingly.

jayvdb created this task.Dec 5 2014, 1:38 AM
jayvdb updated the task description. (Show Details)
jayvdb raised the priority of this task from to Needs Triage.
jayvdb added a project: Phabricator.
jayvdb changed Security from none to None.
jayvdb added a subscriber: jayvdb.
Qgil added a subscriber: Qgil.Dec 5 2014, 7:48 AM

Is the fact of receiving an email essential or are you fine accessing to this information online?

If https://phabricator.wikimedia.org/notification/ is not good enough, you can save a saved Manifest query (or as many as you wish) with the setting

Updated After: -1 day

Example: https://phabricator.wikimedia.org/maniphest/query/BpwNvJW2tchs/#R

Qgil triaged this task as Lowest priority.Dec 5 2014, 7:48 AM
Qgil edited projects, added Phabricator (Upstream); removed Phabricator.
Qgil moved this task from Backlog to Need Discussion on the Phabricator (Upstream) board.
Qgil added a comment.Dec 17 2014, 8:21 AM

By the way, what was this feature sending you two emails every day?

https://phabricator.wikimedia.org/notification/ is way too busy / I am subscribed to too many projects.

@Aklapper helped me set up a 'Updated After: -1 day' query in Maniphest , but that has caused problems as now all of my searches default to the projects in my query. very strange and annoying.

The feature is the bugzilla buglist emails ; specifically https://old-bugzilla.wikimedia.org/buglist.cgi?cmdtype=runnamed&namedcmd=pywikibot-1d (but that link may not work for other people as-is; Andre was able to find the public shared query, but I've lost that link).

Qgil added a comment.Dec 17 2014, 11:41 AM
but that has caused problems as now all of my searches default to the projects in my query.  very strange and annoying.

Not strange at all, your top saved search define your default search parameters. Just move this query out of the pole position clicking "Edit Queries".

https://www.mediawiki.org/wiki/Phabricator/Help#Defining_your_default_search_parameters

The feature is the bugzilla buglist emails

That feature was called "whining".

Aklapper renamed this task from Bug list by emails to Bug list by emails (like Bugzilla's "whining" for saved seaches).Dec 17 2014, 12:33 PM
Dzahn added a subscriber: Dzahn.Dec 17 2014, 12:53 PM

It seems this is another reason to resolve T630 asap.

It seems this is another reason to resolve T630 asap.

Personal Herald rules do not support triggering some summary list of tasks once per day. They act on a single task level.

Nemo_bis updated the task description. (Show Details)Dec 18 2014, 8:20 AM

Does this still "need discussion" and, if yes, of what?

Qgil renamed this task from Bug list by emails (like Bugzilla's "whining" for saved seaches) to Send a regular email with a saved search (like Bugzilla's "whining" for saved seaches).Dec 18 2014, 9:44 AM

Qgil changed the title from "Bug list by emails (like Bugzilla's "whining" for saved seaches)" to "Send a regular email with a saved search (like Bugzilla's "whining" for saved seaches)".

Is maniphest's search actually capable of fulfilling the requiments in comment 0? I tried "Updated after: -1 d" and it didn't work. I can't find docs upstream.

Is maniphest's search actually capable of fulfilling the requiments in comment 0? I tried "Updated after: -1 d" and it didn't work. I can't find docs upstream.

See https://www.mediawiki.org/wiki/Phabricator/Help

Dzahn removed a subscriber: Dzahn.Dec 22 2014, 10:11 AM
Qgil added a comment.Feb 4 2015, 8:10 PM

Back to the use case:

I especially like to have regular emails containing a list of all tasks modified on a project in the last 24 hours, like the Bugzilla '<product>-1d' bug lists. I used to receive it twice a day, and read it first when I start 'work' to catch up on what has happened while I was snoring, and adjust my priorities accordingly.

As explained above, you can save the equivalent search queries, and click them twice a day, or whenever you want. I don't think sending an email is more efficient than this, and I'm quite certain that this will be a Wontfix if submitted upstream.

I propose to decline this task.

I don't think sending an email is more efficient than this

I do.

I'm quite certain that this will be a Wontfix if submitted upstream.

Upstream seems to be fond of email flooding, so there are chances.

jayvdb added a comment.Feb 5 2015, 1:18 AM

Back to the use case:

I especially like to have regular emails containing a list of all tasks modified on a project in the last 24 hours, like the Bugzilla '<product>-1d' bug lists. I used to receive it twice a day, and read it first when I start 'work' to catch up on what has happened while I was snoring, and adjust my priorities accordingly.

As explained above, you can save the equivalent search queries, and click them twice a day, or whenever you want. I don't think sending an email is more efficient than this, and

My 1d pywikibot search is helpful (except it isnt editable .. despite https://secure.phabricator.com/D6056 ?), but the patch-for-review tag is not being removed automatically after merges (is there a task to fix that?) Sorry, but I use email, and like a digest email.

I'm quite certain that this will be a Wontfix if submitted upstream.

I am willing to try with upstream.. I couldnt see any similar task, open or closed in secure.phabricator.com. If the functionality was added, will it be implemented by Wikimedia?

If upstream doesnt want this, can we build a tool which does it? It only needs to select a publicly determined set of tasks, and email a set of subscribers. If email addresses in phabricator cant be used, it could use a subscription list on wiki with https://mediawiki.org/wiki/Special:Emailuser , or can Mass Message send the body via email?

but the patch-for-review tag is not being removed automatically after merges (is there a task to fix that?)

See T1149#21508

I am willing to try with upstream.. I couldnt see any similar task, open or closed in secure.phabricator.com. If the functionality was added, will it be implemented by Wikimedia?

If upstream has added something, we will pull from upstream at some point. Not sure what you mean by "implemented" exactly. :)

Aklapper updated the task description. (Show Details)Feb 5 2015, 1:07 PM
Aklapper moved this task from Need Discussion to Upstreamed on the Phabricator (Upstream) board.
Nemo_bis updated the task description. (Show Details)May 31 2015, 9:34 PM

Added some keywords to combat the helpless phabricator search.

Nemo_bis renamed this task from Send a regular email with a saved search (like Bugzilla's "whining" for saved seaches) to Send a regular email with a saved search (like Bugzilla's "whining" for saved searches).
revi added a subscriber: revi.Sep 26 2015, 12:54 PM
revi awarded a token.Sep 26 2015, 12:58 PM
Elitre added a subscriber: Elitre.Oct 1 2015, 3:14 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:04 PM

Per the upstream task getting closed/won'tfix, the solution is to write a tool that performs the query and generates the email.

I assume if someone wrote such a script, we could host it somewhere (labs, labs, labs?) and have a solution. But I guess someone would have to maintain the lists of queries->users, which sounds mildly painful. Maybe the script could read the list of queries and users from a page on mw.o?

Qgil removed a subscriber: Qgil.Jun 3 2016, 7:55 AM

We have at least two shell scripts in puppet creating weekly/monthly emails via SQL queries (as the UI or Conduit does not support getting all the data wanted):

https://phabricator.wikimedia.org/conduit/method/maniphest.query/ would be the preferred way but I don't see support for a "Updated after" condition (which is available via https://phabricator.wikimedia.org/maniphest/query/advanced/ ) but only for sorting by modification date.

I think you should be able to get everything with maniphest.search: https://phabricator.wikimedia.org/conduit/method/maniphest.search/

"Updated after" is modifiedStart.

Another example use case: this feature is needed for any project that wishes to join https://bestpractices.coreinfrastructure.org/ , namely the criteria:

The project MUST acknowledge a majority of bug reports submitted in the last 2-12 months (inclusive); the response need not include a fix.
The project SHOULD respond to most enhancement requests in the last 2-12 months (inclusive). The project MAY choose not to respond.

Because these are common needs for software projects (even a "mandatory" best practice), it would be inappropriate to address them with a custom solution.

The last comment was posted both in downstream and upstream, potentially resulting in duplicating discussions. :(

Nemo_bis rescinded a token.Jul 16 2016, 7:59 AM
Nemo_bis awarded a token.

If I interpret tokens correctly, three Wikimedia Phabricator users have expressed interest in such a specific "send me some list of tasks via email" workflow.

Hence proposing to decline this task.

Aklapper closed this task as Declined.May 10 2017, 9:37 AM